Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network19.160.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
19.160.0.0
Broadcast address
19.191.255.255
First usable
19.160.0.1
Last usable
19.191.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 13A00000 · Integer 329252864 to 331350015
Reverse DNS zones
160.19.in-addr.arpa
161.19.in-addr.arpa
162.19.in-addr.arpa
163.19.in-addr.arpa
164.19.in-addr.arpa
165.19.in-addr.arpa
166.19.in-addr.arpa
167.19.in-addr.arpa
168.19.in-addr.arpa
169.19.in-addr.arpa
170.19.in-addr.arpa
171.19.in-addr.arpa
172.19.in-addr.arpa
173.19.in-addr.arpa
174.19.in-addr.arpa
175.19.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010011.10100000.00000000.0000000019.160.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00010011.10100000.00000000.0000000019.160.0.0
Broadcast00010011.10111111.11111111.1111111119.191.255.255
Split into smaller subnets/21

19.160.0.0/11 makes 1,024 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
119.160.0.0/2119.160.0.1 to 19.160.7.25419.160.7.2552,046
219.160.8.0/2119.160.8.1 to 19.160.15.25419.160.15.2552,046
319.160.16.0/2119.160.16.1 to 19.160.23.25419.160.23.2552,046
419.160.24.0/2119.160.24.1 to 19.160.31.25419.160.31.2552,046
519.160.32.0/2119.160.32.1 to 19.160.39.25419.160.39.2552,046
619.160.40.0/2119.160.40.1 to 19.160.47.25419.160.47.2552,046
719.160.48.0/2119.160.48.1 to 19.160.55.25419.160.55.2552,046
819.160.56.0/2119.160.56.1 to 19.160.63.25419.160.63.2552,046
919.160.64.0/2119.160.64.1 to 19.160.71.25419.160.71.2552,046
1019.160.72.0/2119.160.72.1 to 19.160.79.25419.160.79.2552,046
1119.160.80.0/2119.160.80.1 to 19.160.87.25419.160.87.2552,046
1219.160.88.0/2119.160.88.1 to 19.160.95.25419.160.95.2552,046
1319.160.96.0/2119.160.96.1 to 19.160.103.25419.160.103.2552,046
1419.160.104.0/2119.160.104.1 to 19.160.111.25419.160.111.2552,046
1519.160.112.0/2119.160.112.1 to 19.160.119.25419.160.119.2552,046
1619.160.120.0/2119.160.120.1 to 19.160.127.25419.160.127.2552,046
1719.160.128.0/2119.160.128.1 to 19.160.135.25419.160.135.2552,046
1819.160.136.0/2119.160.136.1 to 19.160.143.25419.160.143.2552,046
1919.160.144.0/2119.160.144.1 to 19.160.151.25419.160.151.2552,046
2019.160.152.0/2119.160.152.1 to 19.160.159.25419.160.159.2552,046
2119.160.160.0/2119.160.160.1 to 19.160.167.25419.160.167.2552,046
2219.160.168.0/2119.160.168.1 to 19.160.175.25419.160.175.2552,046
2319.160.176.0/2119.160.176.1 to 19.160.183.25419.160.183.2552,046
2419.160.184.0/2119.160.184.1 to 19.160.191.25419.160.191.2552,046
2519.160.192.0/2119.160.192.1 to 19.160.199.25419.160.199.2552,046
2619.160.200.0/2119.160.200.1 to 19.160.207.25419.160.207.2552,046
2719.160.208.0/2119.160.208.1 to 19.160.215.25419.160.215.2552,046
2819.160.216.0/2119.160.216.1 to 19.160.223.25419.160.223.2552,046
2919.160.224.0/2119.160.224.1 to 19.160.231.25419.160.231.2552,046
3019.160.232.0/2119.160.232.1 to 19.160.239.25419.160.239.2552,046
3119.160.240.0/2119.160.240.1 to 19.160.247.25419.160.247.2552,046
3219.160.248.0/2119.160.248.1 to 19.160.255.25419.160.255.2552,046
3319.161.0.0/2119.161.0.1 to 19.161.7.25419.161.7.2552,046
3419.161.8.0/2119.161.8.1 to 19.161.15.25419.161.15.2552,046
3519.161.16.0/2119.161.16.1 to 19.161.23.25419.161.23.2552,046
3619.161.24.0/2119.161.24.1 to 19.161.31.25419.161.31.2552,046
3719.161.32.0/2119.161.32.1 to 19.161.39.25419.161.39.2552,046
3819.161.40.0/2119.161.40.1 to 19.161.47.25419.161.47.2552,046
3919.161.48.0/2119.161.48.1 to 19.161.55.25419.161.55.2552,046
4019.161.56.0/2119.161.56.1 to 19.161.63.25419.161.63.2552,046
4119.161.64.0/2119.161.64.1 to 19.161.71.25419.161.71.2552,046
4219.161.72.0/2119.161.72.1 to 19.161.79.25419.161.79.2552,046
4319.161.80.0/2119.161.80.1 to 19.161.87.25419.161.87.2552,046
4419.161.88.0/2119.161.88.1 to 19.161.95.25419.161.95.2552,046
4519.161.96.0/2119.161.96.1 to 19.161.103.25419.161.103.2552,046
4619.161.104.0/2119.161.104.1 to 19.161.111.25419.161.111.2552,046
4719.161.112.0/2119.161.112.1 to 19.161.119.25419.161.119.2552,046
4819.161.120.0/2119.161.120.1 to 19.161.127.25419.161.127.2552,046
4919.161.128.0/2119.161.128.1 to 19.161.135.25419.161.135.2552,046
5019.161.136.0/2119.161.136.1 to 19.161.143.25419.161.143.2552,046
5119.161.144.0/2119.161.144.1 to 19.161.151.25419.161.151.2552,046
5219.161.152.0/2119.161.152.1 to 19.161.159.25419.161.159.2552,046
5319.161.160.0/2119.161.160.1 to 19.161.167.25419.161.167.2552,046
5419.161.168.0/2119.161.168.1 to 19.161.175.25419.161.175.2552,046
5519.161.176.0/2119.161.176.1 to 19.161.183.25419.161.183.2552,046
5619.161.184.0/2119.161.184.1 to 19.161.191.25419.161.191.2552,046
5719.161.192.0/2119.161.192.1 to 19.161.199.25419.161.199.2552,046
5819.161.200.0/2119.161.200.1 to 19.161.207.25419.161.207.2552,046
5919.161.208.0/2119.161.208.1 to 19.161.215.25419.161.215.2552,046
6019.161.216.0/2119.161.216.1 to 19.161.223.25419.161.223.2552,046
6119.161.224.0/2119.161.224.1 to 19.161.231.25419.161.231.2552,046
6219.161.232.0/2119.161.232.1 to 19.161.239.25419.161.239.2552,046
6319.161.240.0/2119.161.240.1 to 19.161.247.25419.161.247.2552,046
6419.161.248.0/2119.161.248.1 to 19.161.255.25419.161.255.2552,046
6519.162.0.0/2119.162.0.1 to 19.162.7.25419.162.7.2552,046
6619.162.8.0/2119.162.8.1 to 19.162.15.25419.162.15.2552,046
6719.162.16.0/2119.162.16.1 to 19.162.23.25419.162.23.2552,046
6819.162.24.0/2119.162.24.1 to 19.162.31.25419.162.31.2552,046
6919.162.32.0/2119.162.32.1 to 19.162.39.25419.162.39.2552,046
7019.162.40.0/2119.162.40.1 to 19.162.47.25419.162.47.2552,046
7119.162.48.0/2119.162.48.1 to 19.162.55.25419.162.55.2552,046
7219.162.56.0/2119.162.56.1 to 19.162.63.25419.162.63.2552,046
7319.162.64.0/2119.162.64.1 to 19.162.71.25419.162.71.2552,046
7419.162.72.0/2119.162.72.1 to 19.162.79.25419.162.79.2552,046
7519.162.80.0/2119.162.80.1 to 19.162.87.25419.162.87.2552,046
7619.162.88.0/2119.162.88.1 to 19.162.95.25419.162.95.2552,046
7719.162.96.0/2119.162.96.1 to 19.162.103.25419.162.103.2552,046
7819.162.104.0/2119.162.104.1 to 19.162.111.25419.162.111.2552,046
7919.162.112.0/2119.162.112.1 to 19.162.119.25419.162.119.2552,046
8019.162.120.0/2119.162.120.1 to 19.162.127.25419.162.127.2552,046
8119.162.128.0/2119.162.128.1 to 19.162.135.25419.162.135.2552,046
8219.162.136.0/2119.162.136.1 to 19.162.143.25419.162.143.2552,046
8319.162.144.0/2119.162.144.1 to 19.162.151.25419.162.151.2552,046
8419.162.152.0/2119.162.152.1 to 19.162.159.25419.162.159.2552,046
8519.162.160.0/2119.162.160.1 to 19.162.167.25419.162.167.2552,046
8619.162.168.0/2119.162.168.1 to 19.162.175.25419.162.175.2552,046
8719.162.176.0/2119.162.176.1 to 19.162.183.25419.162.183.2552,046
8819.162.184.0/2119.162.184.1 to 19.162.191.25419.162.191.2552,046
8919.162.192.0/2119.162.192.1 to 19.162.199.25419.162.199.2552,046
9019.162.200.0/2119.162.200.1 to 19.162.207.25419.162.207.2552,046
9119.162.208.0/2119.162.208.1 to 19.162.215.25419.162.215.2552,046
9219.162.216.0/2119.162.216.1 to 19.162.223.25419.162.223.2552,046
9319.162.224.0/2119.162.224.1 to 19.162.231.25419.162.231.2552,046
9419.162.232.0/2119.162.232.1 to 19.162.239.25419.162.239.2552,046
9519.162.240.0/2119.162.240.1 to 19.162.247.25419.162.247.2552,046
9619.162.248.0/2119.162.248.1 to 19.162.255.25419.162.255.2552,046
9719.163.0.0/2119.163.0.1 to 19.163.7.25419.163.7.2552,046
9819.163.8.0/2119.163.8.1 to 19.163.15.25419.163.15.2552,046
9919.163.16.0/2119.163.16.1 to 19.163.23.25419.163.23.2552,046
10019.163.24.0/2119.163.24.1 to 19.163.31.25419.163.31.2552,046
10119.163.32.0/2119.163.32.1 to 19.163.39.25419.163.39.2552,046
10219.163.40.0/2119.163.40.1 to 19.163.47.25419.163.47.2552,046
10319.163.48.0/2119.163.48.1 to 19.163.55.25419.163.55.2552,046
10419.163.56.0/2119.163.56.1 to 19.163.63.25419.163.63.2552,046
10519.163.64.0/2119.163.64.1 to 19.163.71.25419.163.71.2552,046
10619.163.72.0/2119.163.72.1 to 19.163.79.25419.163.79.2552,046
10719.163.80.0/2119.163.80.1 to 19.163.87.25419.163.87.2552,046
10819.163.88.0/2119.163.88.1 to 19.163.95.25419.163.95.2552,046
10919.163.96.0/2119.163.96.1 to 19.163.103.25419.163.103.2552,046
11019.163.104.0/2119.163.104.1 to 19.163.111.25419.163.111.2552,046
11119.163.112.0/2119.163.112.1 to 19.163.119.25419.163.119.2552,046
11219.163.120.0/2119.163.120.1 to 19.163.127.25419.163.127.2552,046
11319.163.128.0/2119.163.128.1 to 19.163.135.25419.163.135.2552,046
11419.163.136.0/2119.163.136.1 to 19.163.143.25419.163.143.2552,046
11519.163.144.0/2119.163.144.1 to 19.163.151.25419.163.151.2552,046
11619.163.152.0/2119.163.152.1 to 19.163.159.25419.163.159.2552,046
11719.163.160.0/2119.163.160.1 to 19.163.167.25419.163.167.2552,046
11819.163.168.0/2119.163.168.1 to 19.163.175.25419.163.175.2552,046
11919.163.176.0/2119.163.176.1 to 19.163.183.25419.163.183.2552,046
12019.163.184.0/2119.163.184.1 to 19.163.191.25419.163.191.2552,046
12119.163.192.0/2119.163.192.1 to 19.163.199.25419.163.199.2552,046
12219.163.200.0/2119.163.200.1 to 19.163.207.25419.163.207.2552,046
12319.163.208.0/2119.163.208.1 to 19.163.215.25419.163.215.2552,046
12419.163.216.0/2119.163.216.1 to 19.163.223.25419.163.223.2552,046
12519.163.224.0/2119.163.224.1 to 19.163.231.25419.163.231.2552,046
12619.163.232.0/2119.163.232.1 to 19.163.239.25419.163.239.2552,046
12719.163.240.0/2119.163.240.1 to 19.163.247.25419.163.247.2552,046
12819.163.248.0/2119.163.248.1 to 19.163.255.25419.163.255.2552,046
12919.164.0.0/2119.164.0.1 to 19.164.7.25419.164.7.2552,046
13019.164.8.0/2119.164.8.1 to 19.164.15.25419.164.15.2552,046
13119.164.16.0/2119.164.16.1 to 19.164.23.25419.164.23.2552,046
13219.164.24.0/2119.164.24.1 to 19.164.31.25419.164.31.2552,046
13319.164.32.0/2119.164.32.1 to 19.164.39.25419.164.39.2552,046
13419.164.40.0/2119.164.40.1 to 19.164.47.25419.164.47.2552,046
13519.164.48.0/2119.164.48.1 to 19.164.55.25419.164.55.2552,046
13619.164.56.0/2119.164.56.1 to 19.164.63.25419.164.63.2552,046
13719.164.64.0/2119.164.64.1 to 19.164.71.25419.164.71.2552,046
13819.164.72.0/2119.164.72.1 to 19.164.79.25419.164.79.2552,046
13919.164.80.0/2119.164.80.1 to 19.164.87.25419.164.87.2552,046
14019.164.88.0/2119.164.88.1 to 19.164.95.25419.164.95.2552,046
14119.164.96.0/2119.164.96.1 to 19.164.103.25419.164.103.2552,046
14219.164.104.0/2119.164.104.1 to 19.164.111.25419.164.111.2552,046
14319.164.112.0/2119.164.112.1 to 19.164.119.25419.164.119.2552,046
14419.164.120.0/2119.164.120.1 to 19.164.127.25419.164.127.2552,046
14519.164.128.0/2119.164.128.1 to 19.164.135.25419.164.135.2552,046
14619.164.136.0/2119.164.136.1 to 19.164.143.25419.164.143.2552,046
14719.164.144.0/2119.164.144.1 to 19.164.151.25419.164.151.2552,046
14819.164.152.0/2119.164.152.1 to 19.164.159.25419.164.159.2552,046
14919.164.160.0/2119.164.160.1 to 19.164.167.25419.164.167.2552,046
15019.164.168.0/2119.164.168.1 to 19.164.175.25419.164.175.2552,046
15119.164.176.0/2119.164.176.1 to 19.164.183.25419.164.183.2552,046
15219.164.184.0/2119.164.184.1 to 19.164.191.25419.164.191.2552,046
15319.164.192.0/2119.164.192.1 to 19.164.199.25419.164.199.2552,046
15419.164.200.0/2119.164.200.1 to 19.164.207.25419.164.207.2552,046
15519.164.208.0/2119.164.208.1 to 19.164.215.25419.164.215.2552,046
15619.164.216.0/2119.164.216.1 to 19.164.223.25419.164.223.2552,046
15719.164.224.0/2119.164.224.1 to 19.164.231.25419.164.231.2552,046
15819.164.232.0/2119.164.232.1 to 19.164.239.25419.164.239.2552,046
15919.164.240.0/2119.164.240.1 to 19.164.247.25419.164.247.2552,046
16019.164.248.0/2119.164.248.1 to 19.164.255.25419.164.255.2552,046
16119.165.0.0/2119.165.0.1 to 19.165.7.25419.165.7.2552,046
16219.165.8.0/2119.165.8.1 to 19.165.15.25419.165.15.2552,046
16319.165.16.0/2119.165.16.1 to 19.165.23.25419.165.23.2552,046
16419.165.24.0/2119.165.24.1 to 19.165.31.25419.165.31.2552,046
16519.165.32.0/2119.165.32.1 to 19.165.39.25419.165.39.2552,046
16619.165.40.0/2119.165.40.1 to 19.165.47.25419.165.47.2552,046
16719.165.48.0/2119.165.48.1 to 19.165.55.25419.165.55.2552,046
16819.165.56.0/2119.165.56.1 to 19.165.63.25419.165.63.2552,046
16919.165.64.0/2119.165.64.1 to 19.165.71.25419.165.71.2552,046
17019.165.72.0/2119.165.72.1 to 19.165.79.25419.165.79.2552,046
17119.165.80.0/2119.165.80.1 to 19.165.87.25419.165.87.2552,046
17219.165.88.0/2119.165.88.1 to 19.165.95.25419.165.95.2552,046
17319.165.96.0/2119.165.96.1 to 19.165.103.25419.165.103.2552,046
17419.165.104.0/2119.165.104.1 to 19.165.111.25419.165.111.2552,046
17519.165.112.0/2119.165.112.1 to 19.165.119.25419.165.119.2552,046
17619.165.120.0/2119.165.120.1 to 19.165.127.25419.165.127.2552,046
17719.165.128.0/2119.165.128.1 to 19.165.135.25419.165.135.2552,046
17819.165.136.0/2119.165.136.1 to 19.165.143.25419.165.143.2552,046
17919.165.144.0/2119.165.144.1 to 19.165.151.25419.165.151.2552,046
18019.165.152.0/2119.165.152.1 to 19.165.159.25419.165.159.2552,046
18119.165.160.0/2119.165.160.1 to 19.165.167.25419.165.167.2552,046
18219.165.168.0/2119.165.168.1 to 19.165.175.25419.165.175.2552,046
18319.165.176.0/2119.165.176.1 to 19.165.183.25419.165.183.2552,046
18419.165.184.0/2119.165.184.1 to 19.165.191.25419.165.191.2552,046
18519.165.192.0/2119.165.192.1 to 19.165.199.25419.165.199.2552,046
18619.165.200.0/2119.165.200.1 to 19.165.207.25419.165.207.2552,046
18719.165.208.0/2119.165.208.1 to 19.165.215.25419.165.215.2552,046
18819.165.216.0/2119.165.216.1 to 19.165.223.25419.165.223.2552,046
18919.165.224.0/2119.165.224.1 to 19.165.231.25419.165.231.2552,046
19019.165.232.0/2119.165.232.1 to 19.165.239.25419.165.239.2552,046
19119.165.240.0/2119.165.240.1 to 19.165.247.25419.165.247.2552,046
19219.165.248.0/2119.165.248.1 to 19.165.255.25419.165.255.2552,046
19319.166.0.0/2119.166.0.1 to 19.166.7.25419.166.7.2552,046
19419.166.8.0/2119.166.8.1 to 19.166.15.25419.166.15.2552,046
19519.166.16.0/2119.166.16.1 to 19.166.23.25419.166.23.2552,046
19619.166.24.0/2119.166.24.1 to 19.166.31.25419.166.31.2552,046
19719.166.32.0/2119.166.32.1 to 19.166.39.25419.166.39.2552,046
19819.166.40.0/2119.166.40.1 to 19.166.47.25419.166.47.2552,046
19919.166.48.0/2119.166.48.1 to 19.166.55.25419.166.55.2552,046
20019.166.56.0/2119.166.56.1 to 19.166.63.25419.166.63.2552,046
20119.166.64.0/2119.166.64.1 to 19.166.71.25419.166.71.2552,046
20219.166.72.0/2119.166.72.1 to 19.166.79.25419.166.79.2552,046
20319.166.80.0/2119.166.80.1 to 19.166.87.25419.166.87.2552,046
20419.166.88.0/2119.166.88.1 to 19.166.95.25419.166.95.2552,046
20519.166.96.0/2119.166.96.1 to 19.166.103.25419.166.103.2552,046
20619.166.104.0/2119.166.104.1 to 19.166.111.25419.166.111.2552,046
20719.166.112.0/2119.166.112.1 to 19.166.119.25419.166.119.2552,046
20819.166.120.0/2119.166.120.1 to 19.166.127.25419.166.127.2552,046
20919.166.128.0/2119.166.128.1 to 19.166.135.25419.166.135.2552,046
21019.166.136.0/2119.166.136.1 to 19.166.143.25419.166.143.2552,046
21119.166.144.0/2119.166.144.1 to 19.166.151.25419.166.151.2552,046
21219.166.152.0/2119.166.152.1 to 19.166.159.25419.166.159.2552,046
21319.166.160.0/2119.166.160.1 to 19.166.167.25419.166.167.2552,046
21419.166.168.0/2119.166.168.1 to 19.166.175.25419.166.175.2552,046
21519.166.176.0/2119.166.176.1 to 19.166.183.25419.166.183.2552,046
21619.166.184.0/2119.166.184.1 to 19.166.191.25419.166.191.2552,046
21719.166.192.0/2119.166.192.1 to 19.166.199.25419.166.199.2552,046
21819.166.200.0/2119.166.200.1 to 19.166.207.25419.166.207.2552,046
21919.166.208.0/2119.166.208.1 to 19.166.215.25419.166.215.2552,046
22019.166.216.0/2119.166.216.1 to 19.166.223.25419.166.223.2552,046
22119.166.224.0/2119.166.224.1 to 19.166.231.25419.166.231.2552,046
22219.166.232.0/2119.166.232.1 to 19.166.239.25419.166.239.2552,046
22319.166.240.0/2119.166.240.1 to 19.166.247.25419.166.247.2552,046
22419.166.248.0/2119.166.248.1 to 19.166.255.25419.166.255.2552,046
22519.167.0.0/2119.167.0.1 to 19.167.7.25419.167.7.2552,046
22619.167.8.0/2119.167.8.1 to 19.167.15.25419.167.15.2552,046
22719.167.16.0/2119.167.16.1 to 19.167.23.25419.167.23.2552,046
22819.167.24.0/2119.167.24.1 to 19.167.31.25419.167.31.2552,046
22919.167.32.0/2119.167.32.1 to 19.167.39.25419.167.39.2552,046
23019.167.40.0/2119.167.40.1 to 19.167.47.25419.167.47.2552,046
23119.167.48.0/2119.167.48.1 to 19.167.55.25419.167.55.2552,046
23219.167.56.0/2119.167.56.1 to 19.167.63.25419.167.63.2552,046
23319.167.64.0/2119.167.64.1 to 19.167.71.25419.167.71.2552,046
23419.167.72.0/2119.167.72.1 to 19.167.79.25419.167.79.2552,046
23519.167.80.0/2119.167.80.1 to 19.167.87.25419.167.87.2552,046
23619.167.88.0/2119.167.88.1 to 19.167.95.25419.167.95.2552,046
23719.167.96.0/2119.167.96.1 to 19.167.103.25419.167.103.2552,046
23819.167.104.0/2119.167.104.1 to 19.167.111.25419.167.111.2552,046
23919.167.112.0/2119.167.112.1 to 19.167.119.25419.167.119.2552,046
24019.167.120.0/2119.167.120.1 to 19.167.127.25419.167.127.2552,046
24119.167.128.0/2119.167.128.1 to 19.167.135.25419.167.135.2552,046
24219.167.136.0/2119.167.136.1 to 19.167.143.25419.167.143.2552,046
24319.167.144.0/2119.167.144.1 to 19.167.151.25419.167.151.2552,046
24419.167.152.0/2119.167.152.1 to 19.167.159.25419.167.159.2552,046
24519.167.160.0/2119.167.160.1 to 19.167.167.25419.167.167.2552,046
24619.167.168.0/2119.167.168.1 to 19.167.175.25419.167.175.2552,046
24719.167.176.0/2119.167.176.1 to 19.167.183.25419.167.183.2552,046
24819.167.184.0/2119.167.184.1 to 19.167.191.25419.167.191.2552,046
24919.167.192.0/2119.167.192.1 to 19.167.199.25419.167.199.2552,046
25019.167.200.0/2119.167.200.1 to 19.167.207.25419.167.207.2552,046
25119.167.208.0/2119.167.208.1 to 19.167.215.25419.167.215.2552,046
25219.167.216.0/2119.167.216.1 to 19.167.223.25419.167.223.2552,046
25319.167.224.0/2119.167.224.1 to 19.167.231.25419.167.231.2552,046
25419.167.232.0/2119.167.232.1 to 19.167.239.25419.167.239.2552,046
25519.167.240.0/2119.167.240.1 to 19.167.247.25419.167.247.2552,046
25619.167.248.0/2119.167.248.1 to 19.167.255.25419.167.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses